<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/screen.php';
require_once 'lib/user_input_handler.php';

interface GCompsScreen extends Screen, UserInputHandler
{
    public function get_window_def(MediaURL $media_url, &$plugin_cookies);
    public function get_timer(MediaURL $media_url, &$plugin_cookies);
    public function get_action_map(MediaURL $media_url, &$plugin_cookies);
}

///////////////////////////////////////////////////////////////////////////
?>
